XltHostSelect(3X)

NAME
XltHostSelect - Convenience function to display a dialog that allows you to select a host/port pair.

SYNOPSIS
#include <Xlt/Host.h>

Widget XltHostSelect(parent, host)
	Widget	parent;
	Widget 	host;

DESCRIPTION
XltHostSelect Displays a dialog that allows you to select the host/port pair to connect to. Pressing OK will disconnect from the current host/port and establish a connection to the specified host/port. If the parent of the Host widget is not realized, the connection attempt will be deferred until such time that it is. This allows the main window of the application to get mapped before the connection is attempted. This function is useful as the activateCallback of a menu button.

parent
    The parent widget ID

host
    The widget ID of the Host connection.

For a complete description of Host, see XltHost(3X)

RELATED INFORMATION
XltHost(3X).